Subject: WG ACTION: Web Intermediaries (webi)

From: The IESG <[email-masked]>
Date: Tue, 16 Jan 2001 08:01:08 -0500

A new working group has been formed in the Applications Area of
the IETF. For additional information, contact the Area Directors
or the WG Chair.

Web Intermediaries (webi)
-------------------------
 
 Current Status: Active Working Group
 
 Chair(s):
     Ian Cooper <[email-masked]>
     Mark Nottingham <[email-masked]>
 
 Applications Area Director(s): 
     Ned Freed  <[email-masked]>
     Patrik Faltstrom  <[email-masked]>
 
 Applications Area Advisor: 
     Patrik Faltstrom  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       (un)subscribe
     Archive:           ftp://ftp.ietf.org/ietf-mail-archive/webi

Description of Working Group:
 
This working group will address specific issues in the world wide web
infrastructure (as identified by the WREC working group), by providing
generic mechanisms which are useful in several application domains 
(e.g., proxies, content delivery surrogates).

Work items for this group will be:

1) An invalidation protocol to provide a strong cache coherence 
   mechanism while avoiding the latency penalty of validation, usable
   in proxy as well as surrogate configurations.

2) An intermediate service discovery mechanism, consisting of:

   a) An intermediary service description format, which describes what
      services an intermediary or arbitrary group of intermediaries is
      willing to provide, and

   b) A discovery protocol for locating relevant service descriptions 
      within a single administrative domain.

   Both components will take into consideration current practice,
   related work in the IETF, and a reasoned set of requirements, which 
   will include the need to provide a reasonable alternative to 
   interception proxies.

Service discovery, and other issues pertaining to coordination between
multiple administrative domains are explicitly out of scope of this 
group.

Protocols associated with the provisioning of value added services,
including the vectoring of adaptation requests to other devices, are 
also out of scope for this group.

Finally, this group will only address application-level (e.g., HTTP)
intermediaries.
 
 Goals and Milestones: 

   Feb 01       Requirements document for intermediary discovery and 
                description                                                    

   Feb 01       First draft invalidation protocol                              

   Mar 01       Meet at Minneapolis IETF                                       

   Apr 01       First draft intermediary discovery protocol                    

   Jul 01       First draft intermediary description mechanism                 

   Aug 01       Meet at London IETF                                            

   Dec 01       Meet at Salt Lake City IETF                                    

   Dec 01       Invalidation protocol finalized                                

   Jan 02       Intermediary discovery protocol finalized                      

   Mar 02       Intermediary description mechanism finalized                   

   Apr 02       Re-charter